Product Brand in eCommerce

by
Odoo
v 13.0 Third Party 351
Download for v 13.0 Deploy on Odoo.sh
Required Apps eCommerce (website_sale)
Sales (sale_management)
Invoicing (account)
Website (website)
Included Dependencies
Product Brand in Sale (102 lines of code)
Lines of code 319
Technical Name product_brand_ecommerce
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 14.0
You bought this module and need support? Click here!
Required Apps eCommerce (website_sale)
Sales (sale_management)
Invoicing (account)
Website (website)
Included Dependencies
Product Brand in Sale (102 lines of code)
Lines of code 319
Technical Name product_brand_ecommerce
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 14.0
cybrosys-logo

Product Brand in eCommerce

Key Highlights

  • Easily Manage Product Brands

Overview


This module allows the odoo users to filter by product’s brand in eCommerce. .

Product Brand


    Activate Product Brand Filter.

    Product Brand Filter in eCommerce.

    Product Brand in Pivot view.

Screenshots


Video


Product Brand Manager

Cybrosys Cover Video

Suggested Products


Our Service


Odoo Customization

Odoo Implementation

Odoo Integration

Odoo Support

Hire Odoo Developers

Our Industries


Odoo Industry

Trading

Easily procure and sell your products.

Odoo Industry

Manufacturing

Plan, track and schedule your operations.

Odoo Industry

Restaurant

Run your bar or restaurant methodical.

Odoo Industry

POS

Easy configuring and convivial selling.

Odoo Industry

E-commerce & Website

Mobile friendly, awe-inspiring product pages.

Odoo Industry

Hotel Management

An all-inclusive hotel management application.

Odoo Industry

Education

A Collaborative platform for educational management.

Odoo Industry

Service Management

Keep track of services and invoice accordingly.

Need Any Help?


If you have anything to share with us based on your use of this module, please let us know. We are ready to offer our support.

Email us

odoo@cybrosys.com / info@cybrosys.com

Contact Us

www.cybrosys.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Errors when setting up - please fix! Otherwise looks great.....
by
Art
on 10/30/20, 2:43 PM

Template fallback

An error occured while rendering the template 1027.

If this error is caused by a change of yours in the templates, you have the possibility to reset the template to its factory settings.

Product Brand Filter

QWEB

Error message:
load could not load template

ValueError: View 'product_brand_eCommerce.brands_recursive' in website 1 not found
Template: 1027
Path: /t/t/div/div[2]/div[2]/div[1]/div[2]/ul/t/t
The error occured while rendering the template 1027

Traceback (most recent call last):

  File "/home/odoo/odoo/odoo/tools/cache.py", line 85, in lookup

    r = d[key]

  File "/home/odoo/odoo/odoo/tools/func.py", line 69, in wrapper

    return func(self, *args, **kwargs)

  File "/home/odoo/odoo/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.qweb', <function IrQWeb.compile at 0x7f6fc0d79158>, 'product_brand_eCommerce.brands_recursive', ('en_US', True, None, None, False, 1))


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/home/odoo/odoo/odoo/tools/cache.py", line 85, in lookup

    r = d[key]

  File "/home/odoo/odoo/odoo/tools/func.py", line 69, in wrapper

    return func(self, *args, **kwargs)

  File "/home/odoo/odoo/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.ui.view', <function View.get_view_id at 0x7f6fbe62f2f0>, 2, False, 'product_brand_eCommerce.brands_recursive', (1,))



error while install
by
office@amevia.eu
on 5/19/20, 8:00 AM

Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 624, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 669, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 350, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 915, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1326, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1314, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 387, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 374, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 423, in load_modules loaded_modules, update_module, models_to_check) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 315, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 202, in load_module_graph registry.init_models(cr, model_names, {'module': package.name}, new_install) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 349, in init_models model.init() File "/usr/lib/python3/dist-packages/odoo/addons/sale/report/sale_report.py", line 147, in init self.env.cr.execute("""CREATE or REPLACE VIEW %s as (%s)""" % (self._table, self._query())) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 164, in wrapper return f(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 241, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: each UNION query must have the same number of columns LINE 71: MIN(l.id) AS id, ^


Found it very useful, just a small bug is there
by
Arihant Ai
on 5/13/20, 11:36 AM

In /controllers/main.py 114 Line : Need to replace 'categorys' to 'category', otherwise pagination doesn't work with category. Just a suggestion

Re: Found it very useful, just a small bug is there
by
Cybrosys Technologies
on 5/14/20, 12:26 AM Author

Thanks fro reporting.


by
a7med.nor@gmail.com
on 3/21/20, 4:38 PM

Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 664, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 909, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 382, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 85, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 420, in load_modules loaded_modules, update_module, models_to_check) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 312, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 195, in load_module_graph registry.init_models(cr, model_names, {'module': package.name}) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 320, in init_models model.init() File "/usr/lib/python3/dist-packages/odoo/addons/sale/report/sale_report.py", line 147, in init self.env.cr.execute("""CREATE or REPLACE VIEW %s as (%s)""" % (self._table, self._query())) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 163, in wrapper return f(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 240, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: each UNION query must have the same number of columns LINE 71: MIN(l.id) AS id,


There are no comments yet!